package info.frostfs.sdk.enums;

public enum RuleMatchType {
    // DENY_PRIORITY rejects the request if any `Deny` is specified.
    DENY_PRIORITY(0),

    // FIRST_MATCH returns the first rule action matched to the request.
    FIRST_MATCH(1),
    ;

    public final int value;

    RuleMatchType(int value) {
        this.value = value;
    }
}
